
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET2.0中TextBox两个有趣的属性 / iVAN</title>

    <meta name="description" content="ASP.NET2.0中TextBox两个有趣的属性 [导读]本文讲述了TextBox控件获得数据的内部方法中ReadOnly的限制,使用实例说明了这一点,并且提供了既使用ReadOnly,又可以通过Text属性获得值的方法. 在以前的ASP.NET 1.x版本中,设置为ReadOnly的TextBox控件在客户端更改了值后,在服务器端仍然可以得到修改后的值,但在ASP.NET 2.0中,这种做法已经限制.这是为了提高应用程序安全性所考虑的.下面就是TextBox控件获得数据的内部方法,由此可以看出ReadOnly的限制: protected vi">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET2.0中TextBox两个有趣的属性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>【导读】本文讲述了TextBox控件获得数据的内部方法中ReadOnly的限制，使用实例说明了这一点，并且提供了既使用ReadOnly，又可以通过Text属性获得值的方法。</p>
<p>在以前的ASP.NET 1.x版本中，设置为ReadOnly的TextBox控件在客户端更改了值后，在服务器端仍然可以得到修改后的值，但在ASP.NET 2.0中，这种做法已经限制。这是为了提高应用程序安全性所考虑的。下面就是TextBox控件获得数据的内部方法，由此可以看出ReadOnly的限制：</p>
<p><code>protected virtual bool LoadPostData(string postDataKey, NameValueCollection postCollection)<br />{<br />　base.ValidateEvent(postDataKey);<br />　string text1 = this.Text;<br />　string text2 = postCollection[postDataKey];<br />　if (!this.ReadOnly &amp;&amp; !text1.Equals(text2, StringComparison.Ordinal))<br />　{<br />this.Text = text2;<br />return true;<br />　}<br />　return false;<br />}</code><br />
<br />这里限制的只是Text属性，而没有限制提交数据的名称/值的NameValueCollection，因此，通过Request["表单名称"]的方法仍然可以得到值的。下面的例子充分说明了这一点，并且提供了既使用ReadOnly，又可以通过Text属性获得值的方法：</p>
<p><code>＜%@ Page Language="C#" EnableViewState="false" %＞<br />＜!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"＞<br />＜script runat="server"＞<br />protected void Button1_Click(object sender, EventArgs e)<br />{<br />　Response.Write("＜li＞TextBox1 = " + TextBox1.Text);<br />　Response.Write("＜li＞TextBox2 = " + TextBox2.Text);<br />　Response.Write("＜li＞TextBox3 = " + TextBox3.Text);<br />　Response.Write("＜li＞Request.Form[TextBox1] = " + Request.Form[TextBox1.UniqueID]);<br />　Response.Write("＜li＞Request.Form[TextBox2] = " + Request.Form[TextBox2.UniqueID]);<br />　Response.Write("＜li＞Request.Form[TextBox3] = " + Request.Form[TextBox3.UniqueID]);<br />}<br />protected void Page_Load(object sender, EventArgs e)<br />{<br />　TextBox3.Attributes.Add("readonly", "readonly");<br />}<br />＜/script＞<br />＜script type="text/javascript"＞<br />//＜![CDATA[<br />function SetNewValue()<br />{<br />　document.getElementById('＜%=TextBox1.ClientID %＞').value = "TextBox1 new Value";<br />　document.getElementById('＜%=TextBox2.ClientID %＞').value = "TextBox2 new Value";<br />　document.getElementById('＜%=TextBox3.ClientID %＞').value = "TextBox3 new Value";<br />}<br />//]]＞<br />＜/script＞<br />＜html xmlns="http://www.w3.org/1999/xhtml"＞<br />＜head runat="server"＞<br />＜title＞ASP.NET 2.0中TextBox控件与ReadOnly和Enabled属性＜/title＞<br />＜/head＞<br />＜body＞<br />＜form id="form1" runat="server"＞<br />　＜span＞TextBox1 ReadOnly：＜/span＞<br />　＜asp:TextBox ID="TextBox1" runat="server" ReadOnly="True" Text="TextBox1 Old Value"＞＜/asp:TextBox＞＜br /＞<br />　＜span＞TextBox2 Enabled：＜/span＞<br />　＜asp:TextBox ID="TextBox2" runat="server" Enabled="False" Text="TextBox2 Old Value"＞＜/asp:TextBox＞＜br /＞<br />　＜span＞TextBox3 ReadOnly：＜/span＞<br />　＜asp:TextBox ID="TextBox3" runat="server" Text="TextBox3 Old Value"＞＜/asp:TextBox＞＜br /＞<br />　＜br /＞<br />　＜asp:Button ID="Button2" runat="server" Text="修改新值" OnClientClick="SetNewValue();return false;" /＞<br />　＜asp:Button ID="Button1" runat="server" Text="提交" OnClick="Button1_Click" /＞<br />＜/form＞<br />＜/body＞<br />＜/html＞</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 16:09:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/text/" title="text">text</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/request/" title="request">request</a>, <a href="https://www.iamivan.net/tag/textbox/" title="textbox">textbox</a>, <a href="https://www.iamivan.net/tag/asp-net-readonly/" title="asp&period;net readonly">asp&period;net readonly</a>, <a href="https://www.iamivan.net/tag/readonly/" title="readonly">readonly</a>, <a href="https://www.iamivan.net/tag/runat/" title="runat">runat</a>, <a href="https://www.iamivan.net/tag/asp-textbox/" title="asp&colon;TextBox">asp&colon;TextBox</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET2.0中TextBox两个有趣的属性的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1JQdp.html" rel="bookmark">ASP&period;NET2&period;0中TextBox的两个有趣的属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net 在以前的ASP.NET 1.x版本中,设置为ReadOnly的TextBox控件在客户端更改了值后,在服务器端仍然可以得到修改后的值,但在ASP.NET 2.0中,这种做法已经限制.这是为了提高应用程序安全性所考虑的.下面就是TextBox控件获得数据的内部方法,由此可以看出ReadOnly的限制: protected virtual bool LoadPostData(string postDataKey, NameValueCollection postCollection)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8oD0p.html" rel="bookmark">在ASP&period;NET2&period;0中通过Gmail发送邮件的代码&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    在这里我们主要是使用Gmail,究其原因,是因为,我在使用Gmail的邮箱发送邮件的时候,遇到一小小的困难,而使用163等邮箱的时候,没遇到这个问题.     在ASP.NET2.0中,发送邮件是很简单的,我们主要使用来自命名空间System.Net.Mail中的几个类,MailMessage和SmtpClient.     核心代码是很简洁的,如下:     复制代码 代码如下:  string to = &quot;这里填写接收者的Email地址&quot;;      string from			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPOV5vM.html" rel="bookmark">asp&period;net2&period;0中如何动态增加删除表格，在增加表格的同时能增加下拉列表控件？在线等</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net2.0中如何动态增加删除表格,在增加表格的同时,表格中增加下拉列表控件&gt;该如何实施?谢谢! 解决方案 解决方案二:昨晚天刚用JS写一个,给个参考吧-----------&lt;scripttype=&quot;text/javascript&quot;&gt;//印刷机组信息varmachineStr='&lt;%=machineStr%&gt;';//可开计划的产品编号和名称信息varproductionStr='&lt;%=productionStr%&gt;';//将印			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4VJJM.html" rel="bookmark">ASP&period;NET2&period;0中的ClientScriptManager 类用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|client ASP.NET2.0中的ClientScriptManager 类用法-如何添加客户端事件 在ASP.NET2.0中,ClientScriptManager 类通过键 String 和 Type 唯一地标识脚本.具有相同的键和类型的脚本被视为重复脚本.因此,我们可以使用脚本类型来避免混淆可能用在页中的来自不同用户控件的相似脚本. &lt;html&gt;  &lt;head&gt;    &lt;title&gt;ClientScriptManager Example&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElRJ6z.html" rel="bookmark">在Asp&period;Net2&period;0中可以方便的访问配置文件web&period;config&comma;如判断debug设置，验证类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Asp.Net2.0中我们可以方便的访问配置文件中,.NetFrameWork2.0新增加了 SystemWebSectionGroup 类. 允许用户以编程方式访问配置文件的 system.web 组. 比如判断web.config内是否为 debug=&quot;true&quot;,或者判断身份验证形式 SystemWebSectionGroup ws = new SystemWebSectionGroup(); CompilationSection cp = ws.Compilation; 用cp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5WNZM.html" rel="bookmark">asp&period;net2&period;0中导出EXCEL时内容为什么始终为空&quest;&lbrack;高分&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net2.0中导出EXCEL时内容为什么始终为空?实现方式,首先生成HTML摸板[格式如下,内容太长删除了一些]privateStringBuilderpHead=newStringBuilder();privateStringBuilderpBody=newStringBuilder();privateStringBuilderpFoot=newStringBuilder();publicRptSpareQuery(){pHead.Append(&quot;&lt;htmlxmlns:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQj52oM.html" rel="bookmark">ASP&period;NET2&period;0中的超链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ASP.NET2.0中的超链接控件的下划线怎麽能让它消失,鼠标移过去后下划线又显示出来 解决方案 解决方案二:a:hover{text-decoration:none}			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqjl2p.html" rel="bookmark">Asp&period;Net2&period;0中实现多任务异步页的一点提示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|异步     如果想学习Asp.Net2.0的异步页技术,那么一定要仔细阅读http://www.microsoft.com/china/MSDN/library/default.mspx?mfr=true,并且下载它的源代码仔细揣摩.全文共介绍了3种实现异步页的编程模型,且功能一种比一种强大.多余的我就不多说了,直接看最后一种模型:使用PageAsyncTask类.RegisterAsyncTask方法.ExecuteRegisteredAsyncTasks方法和Timeout			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP3mDM.html" rel="bookmark">ASP&period;NET2&period;0中Gridview中数据操作技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|技巧|数据     Asp.net 2.0中新增的gridview控件,是十分强大的数据展示控件,在前面的系列文章里,分别展示了其中很多的基本用法和技巧(详见&lt;&lt;ASP.NET 2.0中Gridview控件高级技巧&gt;&gt;.&lt;&lt;ASP.NET2.0利用Gridview实现主从关系&gt;&gt;).在本文中,将继续探讨有关的技巧. 一.Gridview中的内容导出到Excel 在日常工作中,经常要将gridview中的内容导出到excel报表中去,在asp.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo6JDz.html" rel="bookmark" class="title">Flash设计绘制具有卡通风格的石头和山脉实例教程</a>
					<div>
						  绘制卡通石头在用Flash制作卡通动画与MTV时,石头也是经常出现的,本实例就教大家如何绘制石头.实例效果如图6-1所示. 图6-1 最终效果图 制作时间:5分钟 学习难度:★★☆☆☆ 核心技术: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boYnDp.html" rel="bookmark" class="title">ASP技巧之定义数组方法</a>
					<div>
						技巧|数组 [注意:本文提到的数组是Visual Basic中数组的定义,对asp编程有一定的参考价值!] 数组是有序数据的集合.数组中的元素可以不属于同一个数据类型.用一个统一的数组名和下标来唯一地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3BXgz.html" rel="bookmark" class="title">osql Utility&lpar;osql 工具&rpar;</a>
					<div>
						osql 工具允许输入T_SQL语句,系统过程和文本文件,osql 用ODBC与服务器通信The osql utility allows you to enter Transact-SQL state ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdZv6b.html" rel="bookmark" class="title">用户需求的改变将影响关键词的排名顺序</a>
					<div>
						关键词的排名不稳定性众所皆知,每一次算法的改变排名都会有不一样的变化,有的网站排名上升,有的网站排名下降,这其中跟网站的优化有一定的关系,长期坚持优化,有稳定的内容更新和外链发布,那么算法改变网关键词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kQA4z.html" rel="bookmark" class="title">XML开发入门基础：XML验证</a>
					<div>
						拥有正确语法的XML被称为&quot;形式良好&quot;的XML. 通过某个DTD进行了验证的XML是&quot;合法&quot;的XML. 形式良好的XML文档 一个&quot;形式良好&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7RJDb.html" rel="bookmark" class="title">做精明的赶马人：木马查找清除攻略</a>
					<div>
						这年头的网络越来越不安全了,黑客制作工具比Word还要简单,随便一个菜鸟都可以借助工具制作出&quot;马&quot;力强劲的攻击武器.看网页.收邮件.聊QQ都有可能被马&quot;踩&quot;到. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w50Yp.html" rel="bookmark" class="title">数据库组件 Hxj&period;Data （二十四）（Sqlite数据库）</a>
					<div>
						Hxj.Data(V1.3)组件增加了对Sqlite数据库的支持. 以及实体生成工具也同时发布(V1.3)版本支持Sqlite数据库的实体生成. 使用Sqlite数据库开发,需要引用Hxj.Data. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBaNLb.html" rel="bookmark" class="title">积分获取和消费的存储过程学习示例</a>
					<div>
						  这篇文章主要介绍了积分获取和消费的存储过程学习示例,这个只是学习一下存储过程的使用方法,需要的朋友可以参考下 1.GM_JF客户账户积分表 2. GM_JF_DETAIL客户账户积分消费记录 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyoQBb.html" rel="bookmark" class="title">windows 7怎么创建宽带连接</a>
					<div>
						首先建立宽带连接,Windows7和XP一样,在&quot;网络&quot;鼠标右键属性或&quot;IE&quot;&quot;连接&quot;的Internet选项中都可以建立. 图1 点击网络邻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm752qb.html" rel="bookmark" class="title">怎么让WPS文档实现繁体转简体</a>
					<div>
						  1.首先我们打开wps,将你要转换的繁体复制进来; 文档实现繁体转简体-word文档简体转繁体&quot;&gt; 2.然后我们点击审阅==繁转简; 3.当然大家想要简体转繁体,操作方法其实是一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKZlxp.html" rel="bookmark" class="title">阿里云存储服务OSS基本功能</a>
					<div>
						  基本功能 OSS主要为用户提供数据存储服务,用户可以通过以下操作来处理OSS上的数据: 1. 创建.查看.罗列.删除 Bucket 2. 修改.获取Bucket的访问权限 3. 上传.查看.罗列. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6vomb.html" rel="bookmark" class="title">win7下先装SQL2005后装SQL2000 正确连接方法</a>
					<div>
						以前开发使用的都是WIN7+VS +SQL2005 现在要做个项目,他们使用的数据库是SQL2000,所以没办法就只能装个SQL2000了呗! 正确安装SQL2000(我安装的时候我安装的是新实例,最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwmAKb.html" rel="bookmark" class="title">win7系统如何关闭Adaptive Brightness服务节约内存资源</a>
					<div>
						  具体方法如下: 1.使用Windows+E快捷键,调出资源管理器→打开控制面板; 2.控制面板→系统和安全; 3.系统和安全→管理工具; 4.管理工具→服务; 5.通常服务是以英文名称排序,这个A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYa0lb.html" rel="bookmark" class="title">Javascript之旅&mdash;&mdash;第十站：为什么都说闭包难理解呢？</a>
					<div>
						研究过js的朋友大多会说,理解了js的原型和闭包就可以了,然后又说这些都是js的高级内容,然后就又扯到了各种神马的作用域...然后不少 人就会被忽悠的云里雾里...下面我也试着来说说闭包,看我说的这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEwK4p.html" rel="bookmark" class="title">Qt之HTTP上传&sol;下载</a>
					<div>
						简述 在前面章节中我们讲述了关于Qt显示网络图片的内容,比较简单,因为图片一般都比较小,下载到本地速度比较快,所以基本不需要什么特殊处理,本节我们主要针对HTTP实现上传/下载进行详细的讲解与分享,包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7wVoz.html" rel="bookmark" class="title">java线程技术&mdash;&mdash;线程的创建运行终止</a>
					<div>
						http://blog.chinaunix.net/uid-122937-id-192835.html 1.创建和运行线程在Java中,多线程的实现有两种方式:      扩展java.lang.Th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l1v5b.html" rel="bookmark" class="title">关于快照，你需要知道这6件事</a>
					<div>
						​ 1.什么是快照 ·快照(snapshot)是一种备份方式,打快照就是对某一个磁盘在某一个时间点上的数据进行备份. ·阿里云快照的原理是通过增量机制快速创建快照 建立第一份快照后,两个快照之间只有数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6lqDz.html" rel="bookmark" class="title">《大型网站服务器容量规划》一3&period;1　通过监控规划容量</a>
					<div>
						3.1 通过监控规划容量 任何一家互联网公司都会有自己的运维系统,在运维系统之中,重中之重的是监控系统. 监控的方法有很多,最简单的就是利用一些系统命令,如用df命令来查看磁盘使用率,然后每天出报表, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7jg2z.html" rel="bookmark" class="title">网站优化方案：如何选择外链平台</a>
					<div>
						 对于易物天下来说排名有两个方面,一是易物天下站内搜索排名,二是做百度排名,要想你的产品有一定的销量,首先就要有访问量,有了访问量需要有咨询量这样才有机会销售出你的产品.今天我们SEO工作室主要来讲一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYje9lp.html" rel="bookmark" class="title">Ubuntu 用vsftpd 配置FTP服务器</a>
					<div>
						原文:Ubuntu 用vsftpd 配置FTP服务器 网上的文章好难懂啊..只想要简单粗暴,弄好能用就行啊,复杂的以后研究不行吗...折腾好久,其实弄出来能用不就这么点内容吗... 本文在Ubuntu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrE28M.html" rel="bookmark" class="title">database-点击按钮删除数据库中的行</a>
					<div>
						问题描述 点击按钮删除数据库中的行 我做一个应用程序:当重启 activity,点击一个按钮时需要把插入表中的行删除.我试了下面的方法,但是不能得到预期的效果,相同的行再次插入.如何解决这个问题呢?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmG4Nb.html" rel="bookmark" class="title">谈淘宝发展本地生活对地方互联网站的危机</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 首先,为什么我要先阐述地方站中小站长无法生存,后运用发展的挑战危机时代来临.地方站中小站长无法生存展开了说:从&quot;消失的44万网站:中小站长生存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR5n6b.html" rel="bookmark" class="title">protobuf C&plus;&plus; 使用示例</a>
					<div>
						1.在.proto文件中定义消息格式 2.使用protobuf编译器 3.使用c++ api来读写消息   0.为何使用protobuf?   1.原始内存数据结构,可以以二进制方式sent/save ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL71O0M.html" rel="bookmark" class="title">apache日志文件详解和实用分析命令&lowbar;Linux</a>
					<div>
						一.日志分析 如果apache的安装时采用默认的配置,那么在/logs目录下就会生成两个文件,分别是access_log和error_log 1).access_log access_log为访问日志 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm6oqM.html" rel="bookmark" class="title">南勇别墅中搜出近百件赃物包含名表黄金钻石</a>
					<div>
						随着中国足球扫赌打黑行动的继续深入,公安部也掌握了更多涉案人员的证据,为往后开展工作提供了保证.据&lt;体坛周报&gt;报道,公安部在对南勇家的搜查中,搜出了近百件俱乐部和裁判送来的名表.黄金.钻石 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL418M.html" rel="bookmark" class="title">Gartner发布数据 浪潮进全球服务器市场前五</a>
					<div>
						日前,http://www.aliyun.com/zixun/aggregation/32267.html&quot;&gt;调查公司Gartner公布第二季度全球服务器市场数据,结果显示,全球服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60oeXz.html" rel="bookmark" class="title">关于vb&period;net批量读取opc地址的问题</a>
					<div>
						问题描述 使用SyncRead读取一长串的地址,但是在CallObjGrp.SyncRead(OPCDataSource.OPCDevice,1,lServerHandles,Enable_value ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eZ7Yb.html" rel="bookmark" class="title">javaweb-struts2问题求解释求解释</a>
					<div>
						问题描述 struts2问题求解释求解释 struts2有一个内置校验器功能,就是用Xxx-validation.xml来校验,我想问的是这个文件是通过建立xml文件,然后取名为Xxx-validat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkBP2z.html" rel="bookmark" class="title">图形元件与影片剪辑元件的区别</a>
					<div>
						从原理上说,这两个是完全没有区别,都可以制作动画,而且都可以播放.但就具体而言,影片剪辑(一般称为 MC)   可以自动播放,而且如果不加动作控制的话会是无限循环播放,但图形却不行,它要求放置图形的位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVxdDz.html" rel="bookmark" class="title">264视频解码-ffmpeg解码264视频问题</a>
					<div>
						问题描述 ffmpeg解码264视频问题 用avcodec-56.dll解码cif和qcif图像显示花屏,其他格式解码后显示都是正常的. avcodec-54.dll解码qcif出现花屏. avcod ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
